
Figure - Bug #118002
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT3】【桌面】添加微信小程序微件后，在桌面点击无法打开微信
2023-05-17 17:18 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-05-17

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103(X103)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-25

Test Type: Release Test Root cause: 编码问题

Description

【测试步骤】

在桌面添加微信小程序微件

2.点击Widget

【预期结果】

Widget所属应用可以成功被打开

【测试结果】

点击无反应，没有打开微信

History

#1 - 2023-05-17 19:42 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Status changed from New to ASSIGNED

#2 - 2023-05-17 20:08 - CD APP-王营

- Assignee changed from CD APP-王营 to CD APP-王宏

#3 - 2023-05-18 10:13 - CD APP-王宏

■ Current conclusion

已分析

■ My analysis

根据视频中的反馈来看，白色区域是不可点击的，可点击区域被裁剪了，

此问题跟随图标大小修改一起解决

■ Next action

图标修改适配再解决

#4 - 2023-05-24 10:42 - CD APP-王宏

- % Done changed from 0 to 50

- Root cause set to 编码问题

■ Current conclusion

已提交
■ My analysis

根据分析，其实是widget组件被截断，可以点击的绿色按钮在可视范围之外，导致的widget无法打开，

现已将相关自定义padding移除，恢复为原生padding，可正常显示

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/202229

#5 - 2023-05-24 16:58 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

202229 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:remove custom widget paddingTC-RID: 0301-0205305IssueID: TS-R-BUG-118002Change-Id: Ief6519a565e17a1125695d9a4f00587939303138

#6 - 2023-05-24 16:59 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to 物联网测试组_CDTS  唐霞 

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-05-25

#7 - 2023-05-25 19:13 - 物联网测试组_CDTS  唐霞 

验证通过，关闭问题单

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0103.C103

#8 - 2023-05-25 19:13 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

#9 - 2023-05-25 19:13 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

Files

517.txt 3.7 MB 2023-05-17 物联网测试组_CDTS  唐霞 

中科创达软件股份有限公司20230517-171736.mp4 4.78 MB 2023-05-17 物联网测试组_CDTS  唐霞 

2025-07-04 2/2

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/202229

